﻿//----------------------------------------------------
// EditTitleBlockDialog.cs (c) 2019 by Enes Siljak
//----------------------------------------------------

using System.Collections.Generic;
using Autodesk.AutoCAD.ApplicationServices;

namespace XenAlati
{
    public class EditTitleBlockDialog
    {
        public static string Show(List<string> items)
        {
            EditTitleBlockForm etbf = new EditTitleBlockForm(items);
            System.Windows.Forms.DialogResult res = Application.ShowModalDialog(null, etbf, false);
            if (res == System.Windows.Forms.DialogResult.OK)
                return etbf.GetText();
            else
                return null;
        }

    }
}
